package dto

type GetJobListResponseDto struct {
	JobName           string `json:"jobName"`           //job 名称
	LastStatus        string `json:"lastStatus"`        //最近状态
	LastBuildUserName string `json:"lastBuildUserName"` //最近构建人名称
	Description       string `json:"description"`       //描述信息
	LastUpdateTime    string `json:"lastUpdateTime"`    //最近更新时间即最近job结束时间
	DurationInMillis  string `json:"durationInMillis"`  //上次持续时间
}

type CreatePipelineJobRequestDto struct {
	JobName         string                `json:"jobName"`         //job 名称
	Description     string                `json:"description"`     //描述信息
	GitBaseUrl      string                `json:"gitBaseUrl"`      //git仓库地址
	Branch          string                `json:"branch"`          //分支
	BuildScriptPath string                `json:"buildScriptPath"` //构建脚本路径
	CredentialId    string                `json:"credentialId"`    //凭据id
	ListeningEvents ListeningEventTypeDto `json:"listeningEvents"` //监听事件
}

//监听事件
type ListeningEventTypeDto struct {
	Push bool `json:"push"` //是否监听push事件
}

type StartRunPipelineJobRequestDto struct {
	JobName string `json:"jobName"` //job 名称
}

type DeletePipelineJobRequestDto struct {
	JobName string `json:"jobName"` //job 名称
}
