package utils

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/config"
	_ "strings"
)

var (
	zhConf, _ = config.NewConfig("ini", beego.AppPath+"/i18n/zh.ini")
	enConf, _ = config.NewConfig("ini", beego.AppPath+"/i18n/en.ini")
)

// 国际化
func GetI18nLang(lang string, name string) string {
	if lang == "en" {
		return enConf.String(name)
	}
	return zhConf.String(name)
}
